Bug 449266 - ucarp 1.4 makes all participants masters
ucarp 1.4 makes all participants masters
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: ucarp (Show other bugs)
9
All Linux
low Severity high
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
Depends On: 458767
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-01 06:59 EDT by Ask Bjørn Hansen
Modified: 2009-04-17 14:05 EDT (History)
0 users

See Also:
Fixed In Version: 1.5-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-17 14:02:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ask Bjørn Hansen 2008-06-01 06:59:05 EDT
Description of problem:
ucarp 1.4 doesn't work.

Version-Release number of selected component (if applicable):
1.4

How reproducible:
Whenever the interface is not in promiscuous mode

Steps to Reproduce:
1. Try using ucarp
  
Actual results:
Notice that all systems put the interface in "MASTER" mode.

Expected results:
Only one system in "MASTER" mode.

Additional info:
http://kerneltrap.org/mailarchive/ucarp/2008/3/27/1274904
Comment 1 Ask Bjørn Hansen 2008-06-01 07:00:13 EDT
I was going to send this to Matthias, but figured it'd be easier for him to get a proper ticket to track etc:

I made a few changes to the ucarp RPM so you can run custom scripts on up/down events.

Basically adding something like the following to the up/down scripts:

EXTRA="/etc/ucarp/vip-$3.down"
if [ -x $EXTRA ]; then
  $EXTRA
fi

I also updated to the 1.5 snapshot as 1.4 basically didn't work (it only worked if the interface was in 
promiscuous mode).

I've put an updated srpm at
	http://tmp.askask.com/2008/06/ucarp-1.5-1.src.rpm

I'd be happy to help maintain the ucarp RPM in fedora if that'd help.

Comment 2 Fedora Admin XMLRPC Client 2009-04-13 08:23:27 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora Update System 2009-04-13 10:47:11 EDT
ucarp-1.5-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/ucarp-1.5-1.fc10
Comment 4 Fedora Update System 2009-04-13 10:47:29 EDT
ucarp-1.5-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/ucarp-1.5-1.fc9
Comment 5 Fedora Update System 2009-04-14 11:53:38 EDT
ucarp-1.5-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ucarp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-3643
Comment 6 Fedora Update System 2009-04-14 11:54:13 EDT
ucarp-1.5-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update ucarp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-3648
Comment 7 Fedora Update System 2009-04-17 14:02:27 EDT
ucarp-1.5-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2009-04-17 14:05:13 EDT
ucarp-1.5-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.